#/usr/bin/env python
from __future__ import division

import os,sys
from refcore import error

import nose
from nose import *

startdir = os.path.abspath(os.path.curdir)

def setup_func():
    # Generic setup function
    thisdir = os.path.dirname(os.path.abspath(__file__))
    os.chdir(thisdir)

def teardown_func():
    # Generic teardown function
    os.chdir(startdir)

@with_setup(setup_func,teardown_func)
def test():
    # Generic test
    return True

@with_setup(setup_func,teardown_func)
def test_class_CDBSError():
    status = issubclass(error.CDBSError,Exception)
    return status

@with_setup(setup_func,teardown_func)
def test_catch_CDBSError():
    try:
        raise error.CDBSError()
    except error.CDBSError:
        return True
    return False

@with_setup(setup_func,teardown_func)
def test_PYERROR():
    if error.PYERRORCODE == -999:
        return True
    else:
        return False

        